//#version 120 //attribute
precision mediump float;
const float dx = 0.003922;
varying vec2 aCoordinate;
uniform sampler2D fTextureMask;
uniform vec4 nextPaintColors[200];//下一步要绘制的颜色数组 由于数组不可变 传递最大数组进入
uniform int nextPaintCount;//下一步要绘制的颜色数量

bool isEques(const vec4 colorOne, const vec4 colorTwo);
int modMy(float x, float y);
void main() {
    gl_FragColor = vec4(0, 0, 0, 0);//透明色
    vec4 rgba = texture2D(fTextureMask, aCoordinate);
    for (int i = 0; i<nextPaintCount;i++){
        if (isEques(rgba, nextPaintColors[i])){
            bool xJ = modMy(aCoordinate.x*1000.0/4.0, 2.0) == 0;
            bool yJ = modMy(aCoordinate.y*1000.0/4.0, 2.0) == 0;
            if ((xJ&&yJ) || (!xJ && !yJ)){
                gl_FragColor = vec4(0.46666, 0.47058, 0.47058, 1);
            } else {
                gl_FragColor = vec4(0.6549, 0.6549, 0.6549, 1);
            }
            break;
        }
    }
}

bool isEques(const vec4 colorOne, const vec4 colorTwo){
    float r = colorOne.r - colorTwo.r;
    float g = colorOne.g- colorTwo.g;
    float b = colorOne.b- colorTwo.b;
    //float a = colorOne.a- colorTwo.a;
    if ((r < dx && r> -dx)
    &&(g < dx && g> -dx)
    &&(b < dx && b> -dx)
    //    &&(a < dx && a> -dx)
    ){
        return true;
    } else {
        return false;
    }
}

int modMy(float x, float y){
    return int(int(x) - int(y)*int(x/y));
}
