//#version 120 //attribute
precision mediump float;
varying vec2 aCoordinate;
varying vec2 aFBOTextureCoord;//FBO纹理坐标
uniform sampler2D fTextureOrg;
uniform int useAutoProgress;
uniform float autoProgress;//进度 0-1;
void main() {
    //    if (needRound == 1){
    //        float md = 0.0;
    //        if (aCoordinate.x<dr && aCoordinate.y < dr){
    //            md =  mydistance(vec2(dr, dr), aCoordinate);
    //        } else if ((aCoordinate.x > (1.0-dr) && (aCoordinate.y > (1.0-dr)))){
    //            md =  mydistance(vec2(1.0-dr, 1.0-dr), aCoordinate);
    //        } else if ((aCoordinate.x > (1.0-dr) && (aCoordinate.y < dr))){
    //            md =  mydistance(vec2(1.0-dr, dr), aCoordinate);
    //        } else if ((aCoordinate.x < dr && (aCoordinate.y > (1.0-dr)))){
    //            md =  mydistance(vec2(dr, 1.0-dr), aCoordinate);
    //        }
    //        if (md>dr){
    //            gl_FragColor = vec4(1, 1, 1, 1);
    //        } else {
    //            gl_FragColor = texture2D(fTextureOrg, aCoordinate);
    //        }
    //    } else {
    gl_FragColor = texture2D(fTextureOrg, aFBOTextureCoord);
    //    }

    if (useAutoProgress == 1){
        if (aCoordinate.y <= 0.01 && aCoordinate.x <= autoProgress*4.0){
            gl_FragColor = mix(vec4(0.953, 0.357, 0.502, 1), vec4(0.490, 0.278, 1, 1), aCoordinate.x*0.25);
        }
        if (aCoordinate.x >= 0.99 && aCoordinate.y <= (autoProgress-0.25)*4.0){
            gl_FragColor = mix(vec4(0.953, 0.357, 0.502, 1), vec4(0.490, 0.278, 1, 1), 0.25+aCoordinate.y*0.25);
        }
        if (aCoordinate.y >= 0.99 && aCoordinate.x >= 1.0-(autoProgress-0.5)*4.0){
            gl_FragColor = mix(vec4(0.953, 0.357, 0.502, 1), vec4(0.490, 0.278, 1, 1), 0.5+(1.0-aCoordinate.x)*0.25);
        }
        if (aCoordinate.x <= 0.01 && aCoordinate.y >= 1.0-(autoProgress-0.75)*4.0){
            gl_FragColor = mix(vec4(0.953, 0.357, 0.502, 1), vec4(0.490, 0.278, 1, 1), 0.75+(1.0-aCoordinate.y)*0.25);
        }
    }

}
//float mydistance(const vec2 p1, const vec2 p2){
//    return distance(p1, p2);
//}
