//#version 120 //attribute
precision mediump float;
uniform sampler2D fTextureSvg;
uniform sampler2D fTextureOrg;
varying vec2 aCoordinate;
uniform int isManhe;
uniform int isCombineMask;

void main() {
    if (isCombineMask==1){
        vec4 maskColor = texture2D(fTextureSvg, aCoordinate);//以前的代码 不优化处理
        highp  float lineA = maskColor.b;
        highp float minA = 50.0/255.0;
        highp  float maxA = 100.0/255.0;
        if (lineA>=minA){
//        if (lineA>=minA && lineA<=maxA){
            lineA = (lineA - minA)/(maxA - minA);
            gl_FragColor = vec4(0, 0, 0, lineA);
        } else {
            gl_FragColor = vec4(0, 0, 0, 0);
        }
    } else {
        gl_FragColor = texture2D(fTextureSvg, aCoordinate);
    }

    if (isManhe == 1){
        if (gl_FragColor.a > 0.0){
            gl_FragColor = vec4(1, 1, 1, gl_FragColor.a);
        }
    } else {
        if (gl_FragColor.a >0.0){
            vec4 base = texture2D(fTextureOrg, aCoordinate);
            gl_FragColor = vec4(base.r, base.g, base.b, gl_FragColor.a);
        }
    }
}