//#version 120 //attribute
precision mediump float;
varying vec2 aCoordinate;

uniform sampler2D fTextureOrg;
uniform sampler2D fTextureLine;
uniform int isManhe;
uniform float texture_i;//由于aCoordinate此坐标是相对瓦片的，需要缩放到真实百分比
uniform float texture_j;

void main() {
    gl_FragColor = texture2D(fTextureLine, aCoordinate);//以前的代码 不优化处理
    if (isManhe == 1){
        if (gl_FragColor.a > 0.0){
            gl_FragColor = vec4(1, 1, 1, gl_FragColor.a);
        }
    }
    else {
        if (gl_FragColor.a >0.0){ //漏彩边
            vec4 base = texture2D(fTextureOrg, vec2(aCoordinate.x*(1.0/12.0)+texture_i, aCoordinate.y*(1.0/12.0)+texture_j));
            gl_FragColor = vec4(base.r, base.g, base.b, gl_FragColor.a);
        }
    }

    //    else {
    //        if (gl_FragColor.a >0.0){ //漏彩边
    //            vec4 base = texture2D(fTextureOrg, vec2(aCoordinate.x*(1.0/12.0)+texture_i, aCoordinate.y*(1.0/12.0)+texture_j));
    //            gl_FragColor = vec4(0.0, 0.0, 0.0, gl_FragColor.a);
    //        }
    //    }


    //    if (aCoordinate.x <= 0.001 || aCoordinate.y<=0.001 || aCoordinate.x >= 0.999 || aCoordinate.y >=0.999){
    //        gl_FragColor = vec4(1, 1, 1, 1);
    //    } else {
    //        if (isManhe == 1){
    //            if (gl_FragColor.a > 0.0){
    //                gl_FragColor = vec4(1, 1, 1, gl_FragColor.a);
    //            }
    //        } else {
    //            if (gl_FragColor.a >0.0){ //漏彩边
    ////                vec4 base = texture2D(fTextureOrg, aCoordinate);
    ////                gl_FragColor = vec4(base.r, base.g, base.b, gl_FragColor.a);
    //            }
    //        }
    //    }
}



