//#version 120 //attribute
precision mediump float;
varying vec2 aCoordinate;
uniform sampler2D fTextureOutLine;
uniform float dwh;//边框图片的高宽比 小于1
uniform float owh;//图片的宽高比 小于1
uniform float alpha;//Alpha

void main() {
    //    float d = 48.0/1024.0;
    gl_FragColor = vec4(0, 0, 0, 0);
    float d = dwh*owh;
    if (aCoordinate.y<=d){ //上
        vec2 local = vec2(aCoordinate.x, aCoordinate.y/d);
        gl_FragColor = texture2D(fTextureOutLine, local);
    } else if (aCoordinate.y>=(1.0-d)){ //下
        vec2 local = vec2(1.0-aCoordinate.x, (1.0-aCoordinate.y)/d);
        gl_FragColor = texture2D(fTextureOutLine, local);
    }

//    if (owh == 1.0){
//        if (aCoordinate.x<=dwh && gl_FragColor == vec4(0, 0, 0, 0)){ //左
//            vec2 local = vec2((1.0-aCoordinate.y), aCoordinate.x/dwh);//
//            gl_FragColor = texture2D(fTextureOutLine, local);
//        } else if (aCoordinate.x>=(1.0-dwh) && gl_FragColor  == vec4(0, 0, 0, 0)){
//            vec2 local = vec2(aCoordinate.y, (1.0-aCoordinate.x)/dwh);//右
//            gl_FragColor = texture2D(fTextureOutLine, local);
//        }
//    } else {
//        if (aCoordinate.x<=dwh &&
//        aCoordinate.y>=(1.0-owh)*0.5 &&
//        aCoordinate.y<=(1.0+owh)*0.5 &&
//        gl_FragColor == vec4(0, 0, 0, 0)){ //左中
//            vec2 local = vec2((1.0-(aCoordinate.y-(1.0-owh)*0.5)/owh), aCoordinate.x/dwh);//
//            gl_FragColor = texture2D(fTextureOutLine, local);
//        }
//
//        if (aCoordinate.x<=dwh &&
//        aCoordinate.y<(1.0-owh)*0.5 + d*0.5 &&
//        gl_FragColor == vec4(0, 0, 0, 0)){ //左中上
//            vec2 local = vec2(1.0-(aCoordinate.y/owh), aCoordinate.x/dwh);//
//            gl_FragColor = texture2D(fTextureOutLine, local);
//        }
//
//        if (aCoordinate.x<=dwh &&
//        aCoordinate.y>(1.0+owh)*0.5 - d*0.5 &&
//        gl_FragColor == vec4(0, 0, 0, 0)){ //左中下
//            vec2 local = vec2((1.0-aCoordinate.y)/owh, aCoordinate.x/dwh);//
//            gl_FragColor = texture2D(fTextureOutLine, local);
//        }
//
//        else if (aCoordinate.x>=(1.0-dwh)&&
//        aCoordinate.y>=(1.0-owh)*0.5 &&
//        aCoordinate.y<=(1.0+owh)*0.5 &&
//        gl_FragColor  == vec4(0, 0, 0, 0)){ //右中
//            vec2 local = vec2((aCoordinate.y-(1.0-owh)*0.5)/owh, (1.0-aCoordinate.x)/dwh);
//            gl_FragColor = texture2D(fTextureOutLine, local);
//        }
//
//        if (aCoordinate.x>=(1.0-dwh)&&
//        aCoordinate.y<(1.0-owh)*0.5 + d*0.5&&
//        gl_FragColor  == vec4(0, 0, 0, 0)){ //右中上
//            vec2 local = vec2(1.0-(aCoordinate.y/owh), (1.0-aCoordinate.x)/dwh);
//            gl_FragColor = texture2D(fTextureOutLine, local);
//        }
//
//        if (aCoordinate.x>=(1.0-dwh)&&
//        aCoordinate.y>(1.0+owh)*0.5 - d*0.5 &&
//        gl_FragColor  == vec4(0, 0, 0, 0)){ //右中下
//            vec2 local = vec2((1.0-aCoordinate.y)/owh, (1.0-aCoordinate.x)/dwh);
//            gl_FragColor = texture2D(fTextureOutLine, local);
//        }
//    }

    gl_FragColor = gl_FragColor*vec4(alpha, alpha, alpha, alpha);
}

