//#version 120 //attribute
precision highp float;
//precision mediump float;
const float dx = 0.003922;
varying vec2 aCoordinate;
varying vec2 aFBOTextureCoord;

uniform sampler2D fTextureTextNumber;
uniform sampler2D fTextureMaskFBO;
uniform sampler2D fTextureTextInfo;
//uniform vec4 textInfos[30];//
//uniform int textInfoCount;//下一步要绘制的颜色数量
int modMy(int x, int y);
void main() {
    gl_FragColor = vec4(0, 0, 0, 0);
    vec4 rgba = texture2D(fTextureMaskFBO, aFBOTextureCoord);
    if (rgba != vec4(0, 0, 0, 0)){
        vec4 textInfo = texture2D(fTextureTextInfo, aCoordinate);
        float x = textInfo.r;
        float y = textInfo.g;
        float r = textInfo.b;
        float number = textInfo.a;
        int numberInt = int(number/0.00392);
        if (aCoordinate.x >= x - r &&
        aCoordinate.x <= x+r &&
        aCoordinate.y >=y-r &&
        aCoordinate.y <= y+r)
        {
            float rx = (aCoordinate.x - (x - r))/(2.0*r);
            float ry= (aCoordinate.y - (y-r))/(2.0*r);
            float modX = float(modMy(numberInt, 10));
            float modY = float(numberInt/10);
            float nX = float(rx + modX) * 0.1;
            float nY = float(ry + modY) * 0.1;
            gl_FragColor = texture2D(fTextureTextNumber, vec2(nX, nY));
        }
    }
}

int modMy(int x, int y){
    return int(x - y*int(x/y));
}
